Download it now!
Bug 89487 - Font adornments fail if fo:font-weight is not specified
Summary: Font adornments fail if fo:font-weight is not specified
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
4.4.0.3 release
Hardware: Other All
: medium minor
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-02-19 23:58 UTC by Dag Wieers
Modified: 2019-12-03 14:32 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Minimalistic FODT that shows the regression (1.25 KB, application/vnd.oasis.opendocument.text-flat-xml)
2015-02-19 23:58 UTC, Dag Wieers
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Dag Wieers 2015-02-19 23:58:33 UTC
Created attachment 113527 [details]
Minimalistic FODT that shows the regression

Since recently I noticed that the fonts of my auto-generated ODF files are not longer picked up correctly by LibreOffice. I noticed it with LibreOffice 4.4, but it seems I can reproduce this with the later releases of LibreOffice 4.3 as well.

In my attached example (which I reduced to a minimum) you can see that if you remove the fo:font-weight from the paragraph style text-property, the font is no longer UltraLight, but Regular.

This is problematic, because I now have to ensure that every style using fonts and non-standard adornments requires an adapted fo:font-weight. (100 does not apply for every case !)

Whereas in the past this was no required, and should not be required.


Steps to reproduce:

 - Ensure you have Helvetica Neue and Helvetica Neue UltraLight fonts (or use another font with adornments instead)

 - Open the attached file and verify UltraLight is used

 - Edit the attached file in a text-editor and remove fo:font-weight

 - Open the edited file and verify that suddenly Regular is used and not UltraLight
Comment 1 Buovjaga 2015-02-25 11:08:12 UTC
Can you create a version with non-commercial fonts that we can download for free? Or would even exist in most operating systems by default, if possible.

Set to NEEDINFO.
Change back to UNCONFIRMED after you have provided the document.
Comment 2 Dag Wieers 2015-02-25 21:17:57 UTC
Unfortunately no, I checked all the Open Source fonts and none of them use adornments the way Helvetica Neue works. Here are the details...

I have the following font files:

--------
HelveticaNeueBoldItalic.ttf
HelveticaNeueBold.ttf
HelveticaNeueCondensedBlack.ttf
HelveticaNeueCondensedBold.ttf
HelveticaNeueItalic.ttf
HelveticaNeueLightItalic.ttf
HelveticaNeueLight.ttf
HelveticaNeueMedium.ttf
HelveticaNeue.ttf
HelveticaNeueUltraLightItalic.ttf
HelveticaNeueUltraLight.ttf
--------

In LibreOffice these all represent only one unique single entry in the font list called "Helvetica Neue". If you look into the font properties however you get the following styles:

--------
Regular
UltraLight
Light
Bold
Condensed
Condensed Black
Italic
UltraLight Italic
Light Italic
Bold Italic
--------

None of the other fonts I have combined different TTF files into a single font with severale styles (adornments). In fact all of the Open Source fonts have multiple entries and therefor work differently inside LibreOffice.

So I cannot reproduce my problem with any of the Open Source fonts.
Comment 3 raal 2016-05-02 12:37:51 UTC
Can we use embedded font feature (see bug 42195) to obtain test document?
Comment 4 Dag Wieers 2016-05-02 12:48:41 UTC
Sure, everything is Open Source and publicly available.

The original AsciiDoc file is available from:

    http://dag.wiee.rs/curriculum-vitae-dag-wieers.adoc

From this we convert it to a FODT (Flat ODT) document:

    http://dag.wiee.rs/curriculum-vitae-dag-wieers.fodt

This one is imported and exported to ODT, DOC, RTF and PDF.

    http://dag.wiee.rs/curriculum-vitae-dag-wieers.odt
    http://dag.wiee.rs/curriculum-vitae-dag-wieers.doc

The issue I have is related to going from the FODT (or ODT) to DOC. Fonts with adornments are replaced by the "parent" font and because of this the height and width no longer match between ODT and DOC.

The Word (DOC) document above was already modified so that the font was made smaller to fit the page width. But if you open the FODT or ODT document and save it as a Word document, and then reopen the Word document you will notice how the title no longer fits in the page width causing all sorts of formatting issues.

The same happens for all other titles that use adornments, but there it is less visible. The effect is that the intended cleanliness of the chosen font gets lost in the conversion to Word documents.
Comment 5 Dag Wieers 2016-05-02 12:54:31 UTC
BTW This issue is still relevant on LibreOffice 5.1.3 and 5.2.0.0.alpha1.
Comment 6 Buovjaga 2016-05-02 13:11:44 UTC
Reproduced with attachment 113527 [details]

I don't think embedding the fonts would be a good idea as it would be a copyright violation to distribute them.
For the record, embedding is done via File - Properties - Fonts.

Version: 5.1.2.2
Build ID: d3bf12ecb743fc0d20e0be0c58ca359301eb705f
CPU Threads: 4; OS Version: Mac OS X 10.11.4; UI Render: default; 
Locale: en-US (en.UTF-8)
Comment 7 QA Administrators 2017-05-22 13:39:48 UTC Comment hidden (obsolete)
Comment 8 QA Administrators 2019-12-03 14:32:53 UTC
Dear Dag Wieers,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug